---
- name: Run docker-compose
  hosts: docker-compose
  become: true
  gather_facts: false
  tasks:

  - name: Flask | Ensure all directories exists
    ansible.builtin.file:
      path: "{{ item }}"
      state: "directory"
      mode: 0700
    with_items:
      - "{{ flask_path }}"

  - name: Flask | Copy docker-compose.yml
    ansible.builtin.copy:
      src: "{{ item }}"
      dest: "{{ flask_path }}/{{ item }}"
      mode: 0644
    with_items:
      - docker-compose.yml
      - .env

  - name: Flask | Run Flask
    docker_compose:
      project_src: "{{ flask_path }}"
      state: "{{ flask_container_state }}"
